
function genNote(n,o,d,v,scale)
  
  local len = d/10
  local rate = 44100
  local bits = 16
  local channel = 1

  local soundData = love.sound.newSoundData(len*rate,rate,bits,channel)

  local osc = Oscillator(scale[n], rate)
  
  print("Note Freq: "..scale[n])
  
  local amplitude = 0.2

  for i=1,len*rate-1 do
    sample = osc() * amplitude
    soundData:setSample(i, sample)
  end

  local source = love.audio.newSource(soundData)
  table.insert(noteImageData,#noteImageData+1,source)
end

function Oscillator(freq, rate)
    local phase = 0
    return function()
        phase = phase + 2*math.pi/rate            
        if phase >= 2*math.pi then
            phase = phase - 2*math.pi
        end 
        return math.sin(freq*phase)
    end
end